# Return provider's login URL

This function retrieves the login URL for the cPanel Market provider.

Endpoint: GET /Market/get_login_url
Version: 11.136.0.13
Security: BasicAuth

## Query parameters:

  - `provider` (string, required)
    The cPanel Market provider's name.
    Example: "cPStore"

  - `url_after_login` (string, required)
    Where the cPanel Market provider redirects the user's browser after they log in.
    Example: "http://hostname.example.com/redirectionlocation.cgi?state"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_login_url"

  - `module` (string)
    The name of the module called.
    Example: "Market"

  - `result` (object)

  - `result.data` (string)
    The URL to which to redirect the browser after login.
    Example: "https://example.com/api/?client_id=MyHearseIsAmazing&function=login&module=bogoSSL&redirect_uri=https%3A%2F%2Fqaportal.cpanel.net%2Fbogus.cgi&response_type=token"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


